데비안 보안 권고

DSA-4550-1 file -- 보안 업데이트

보고일:
2019년 10월 25일
영향 받는 패키지:
file
위험성:
보안 데이터베이스 참조:
Mitre의 CVE 사전: CVE-2019-18218.
추가 정보:

A buffer overflow was found in file, a file type classification tool, which may result in denial of service or potentially the execution of arbitrary code if a malformed CDF (Composite Document File) file is processed.

For the oldstable distribution (stretch), this problem has been fixed in version 1:5.30-1+deb9u3.

안정배포(buster)에서, 이 문제를 버전 1:5.35-4+deb10u1에서 고침.

file 패키지를 업그레이드 하는 게 좋음.

file의 자세한 보안 상태는 보안 추적 페이지 참조: https://security-tracker.debian.org/tracker/file